## visad.data.dods
Class IntValuator

    java.lang.Object
      visad.data.dods.Valuator
          visad.data.dods.IntValuator

Direct Known Subclasses:
  ByteValuator, Int16Valuator, Int32Valuator, UIntValuator

public abstract class IntValuator
extends Valuator

Provides support for processing integer numeric values in a DODS dataset. Processing includes checking for validity and unpacking.

Instances are immutable.

Field Summary

Fields inherited from class visad.data.dods.Valuator
`ranger, unpacker, vetter`

Constructor Summary
`protected` `IntValuator(AttributeTable table, long lower, long upper)` Constructs from the attributes of a DODS integer variable.

Method Summary
`SimpleSet` `getRepresentationalSet(RealType realType)` Returns the set used to represent unpacked, numeric values associated with this instance in the range of a VisAD `FlatField`.

Methods inherited from class visad.data.dods.Valuator
`decode, process, process, process, process, valuator, valueRanger, valueUnpacker, valueVetter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntValuator

    protected IntValuator(AttributeTable table,
                          long lower,
                          long upper)
                   throws BadFormException,
                          VisADException,
                          RemoteException

  Constructs from the attributes of a DODS integer variable.

Parameters:
  `table` - The attribute table for a DODS variable.
  `lower` - Natural lower limit on packed values.
  `upper` - Natural upper limit on packed values.
Throws:
  `BadFormException` - The attribute table is corrupt.
  `VisADException` - VisAD failure.
  `RemoteException` - Java RMI failure.

Method Detail

### getRepresentationalSet

    public SimpleSet getRepresentationalSet(RealType realType)
                                     throws VisADException

  Returns the set used to represent unpacked, numeric values associated with this instance in the range of a VisAD `FlatField`.

  Specified by:
    `getRepresentationalSet` in class `Valuator`
  Returns:
    realType The VisAD real-type for the set.
  Throws:
    `VisADException` - VisAD failure.